Create a new OCP link
Create a new OCP ( One click payment ) link.
You really need to setup an online payment method first through the Billit UI.
Make sure to use a payment method sandbox account as well to avoid real charges while testing.
Headers
Acceptstringapplication/json
Request Body
titlestring · requiredThe title of the link
costnumber · requiredThe final cost, the payable amount.
invoiceTypeIdnumber · requiredSelect the invoicetype ID that you want to the resulting invoice
netValuenumber · requiredFill in the net value of the link
vatIdnumber · requiredSelect the Vat ID that will be applied
paymentMethodIdnumber · requiredYou need to select the payment method ID that will be used.
langstring · enum · minLength: 1 · requiredSelect the default language of the OCP link form
Enum values:elenExample: elexpirationAtstring · minLength: 1 · requiredThe date in ISO format
descriptionstringA more descriptive text on what this is about.
customerIdnumberOptionaly, if you know the customer fill in his ID. It will be used as the receiver in the invoice
productIdnumberOptionaly, you can select the product ID to be selected as product in the resulting invoice
Responses
Created
dataobject
Update OCP link
Update an OCP link
path Parameters
uuidstring · required
Headers
Acceptstringapplication/json
Request Body
titlestring · minLength: 1 · requiredThe title of the ocp link
descriptionstring · minLength: 1 · requiredA more descriptive text for the ocp link
costnumber · requiredThe total cost of the link
netValuenumber · requiredThe net value of the link
paymentMethodIdnumber · requiredThe payment method ID
langstring · minLength: 1 · requiredThe language of the link, "el" or "en"
customerIdnumberThe customer ID if you want to link to a certain one.
invoiceTypeIdnumberThe invoicetype ID that will be generated afterwards
vatIdnumberThe Vat ID
productIdnumberThe product ID if used
expirationAtstring · minLength: 1
Responses
OK
dataobject